<?php
/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

require_once __DIR__ . "/../required.php";

redirectIfNotLoggedIn();

$unshipped = $database->select('transactions', ['[>]customers' => 'customerid'], ['txid (id)', 'txdate', 'shipped', 'trackingnumber', 'customers.customerid', 'customers.name', 'customers.email', 'customers.phone', 'customers.address', 'customers.notes'], ['AND' => ['type' => 3, 'shipped' => null]]);
?>

<table id="ordertable" class="table table-bordered table-hover table-sm">
    <thead>
        <tr>
            <th data-priority="0"></th>
            <th data-priority="1"><?php $Strings->get('actions'); ?></th>
            <th data-priority="1"><i class="fas fa-fw fa-user d-none d-md-inline"></i> <?php $Strings->get('name'); ?></th>
            <th data-priority="2"><i class="fas fa-fw fa-phone d-none d-md-inline"></i> <?php $Strings->get('phone'); ?></th>
            <th data-priority="3"><i class="fas fa-fw fa-at d-none d-md-inline"></i> <?php $Strings->get('email'); ?></th>
            <th data-priority="4"><i class="fas fa-fw fa-map-marker d-none d-md-inline"></i> <?php $Strings->get('address'); ?></th>
            <th data-priority="5"><i class="fas fa-fw fa-sticky-note d-none d-md-inline"></i> <?php $Strings->get('notes'); ?></th>
        </tr>
    </thead>
    <tbody>
        <?php
        foreach ($unshipped as $o) {
            ?>
            <tr>
                <td></td>
                <td>
                    <a class="btn btn-primary btn-sm" href="app.php?page=editcustomer&id=<?php echo $c['id']; ?>"><i class="fas fa-edit"></i> <?php $Strings->get("edit"); ?></a>
                </td>
                <td><?php echo $o['name']; ?></td>
                <td><?php echo $o['phone']; ?></td>
                <td><?php echo $o['email']; ?></td>
                <td><?php echo $o['address']; ?></td>
                <td><?php echo $o['notes']; ?></td>
            </tr>
            <?php
        }
        ?>
    </tbody>
    <tfoot>
        <tr>
            <th data-priority="0"></th>
            <th data-priority="1"><?php $Strings->get('actions'); ?></th>
            <th data-priority="1"><i class="fas fa-fw fa-user d-none d-md-inline"></i> <?php $Strings->get('name'); ?></th>
            <th data-priority="2"><i class="fas fa-fw fa-phone d-none d-md-inline"></i> <?php $Strings->get('phone'); ?></th>
            <th data-priority="3"><i class="fas fa-fw fa-at d-none d-md-inline"></i> <?php $Strings->get('email'); ?></th>
            <th data-priority="4"><i class="fas fa-fw fa-map-marker d-none d-md-inline"></i> <?php $Strings->get('address'); ?></th>
            <th data-priority="5"><i class="fas fa-fw fa-sticky-note d-none d-md-inline"></i> <?php $Strings->get('notes'); ?></th>
        </tr>
    </tfoot>
</table>